package cn.wps.moffice.writer.uitest_fw.aidl;

import cn.wps.moffice.writer.uitest_fw.aidl.Spinner;
import cn.wps.moffice.writer.uitest_fw.aidl.IMyAutoCompleteTextView;

interface Dialogs {
	// SaveDialog getSaveDialog();
	// NewFolderDialog getNewFolderDialog();
	// EncryptDialog getEncryptDialog();
	
	boolean isVisible(String name);
	boolean isEnable(String name);
	boolean isChecked(String name);
	boolean isSelected(String name);
	
	// 序列有效性对话框
	int getViewChildCount(String name);
	void setSequenceItemText(int itemIndex, String text);
	String getSequenceItemText(int itemIndex);
	void delSequenceItem(int itemIndex);
	
	// 点击Button，ImageButton，CheckBox, RadioButton等按钮
	void clickButton(String name);
	
	void clickAtView(String parentId, String childId);
	void clickAtChildView(String parentId, int childIndex);
	
	boolean doubleTapAt(String name);
	
	// 获取TextView，EditText内容
	String getText(String name);
	String getChildText(String parentId, String childId);
	void setText(String name, String text);
	void setTextHaveParent(String parentId, String textViewId, String text);
	
	// Spinner
	String[] getSpinnerList(String name);
	String getSpinnerSelection(String name);
	void setSpinnerSelection(String name, String item);
	int getSpinnerSelectionIndex(String name);
	void setSpinnerSelectionIndex(String name, int index);
	void clickSaveDialogRootItem(String name);
	
	//键盘
	void showKeyBoard(String name);
	void hideKeyBoard(String name);
	
	//获取对话框上面显示的文字
	String getMessage();
	int getEdittextInputType(String name);
	
	List<String> getSearchResultList();
	
	void clickListViewItem(String name, int index);
	String getListViewItem(String name, int index);
	
	boolean isFocused(String name);
	
	boolean isShowing();
	boolean hasDialogShowing();
	
	//获取分享对话框列表
	String[] getShareAppList();
	
	Spinner getSpinner(String name);
	IMyAutoCompleteTextView getAutoCompleteTextView(String name);
	String getTextViewColor(String name);
	int getListViewSelectIndex(String name);
	boolean isChildEnable(String parentName, String childName);
}
