package cn.wps.moffice.writer.uitest_fw.aidl;

interface IPlayCtrl
{
	boolean cmd(String cmdName, String args, int serialId);
	
	boolean keyEvent(String keyEventStr, int serialId);
	
	boolean scroll(float x, float y, float distanceX, float distanceY, int serialId);
	
	boolean longPress(float x, float y, int serialId);
	
	boolean longPressAndScroll(float x, float y, float distanceX, float distanceY, int serialId);
	
	boolean fling(float x, float y, float distanceX, float distanceY, float velocityX, float velocityY, int serialId);
	
	boolean tap(float x, float y, int serialId);
	
	boolean doubleTap(float x, float y, int serialId);
	
	boolean state(int serialId);
	
	boolean capture(String path, int left, int right, int top, int bottom, float zoom, int serialId);
	
	boolean selection(int serialId);

	boolean startDocument(int serialId);
	
	
	// API play control
	
	boolean startCaseMode();
	
	boolean isIdle();
	
	boolean endCaseMode();
	
}