package cn.wps.moffice.writer.uitest_fw.aidl;

import cn.wps.moffice.writer.uitest_fw.aidl.IViews;

interface IView
{
	IView findViewById(String idStr);
	IView findViewByTag(String tagStr);
	
	int getChildCount();
	IView getChildAt(int index);
	
	String getText();
	boolean setText(String text);
	// simulate keyboard input
	boolean sentText(String text);
	
	boolean isFocused();
	boolean requestFocuse();
	boolean isEnabled();
	boolean isShow();
	boolean isSelected();
	boolean isChecked();
	boolean scrollToVisible();
	boolean performClick();
	boolean performLongClick();
	
	// 或得所有子及子孙的TextView(IView)
	IViews getTextViews();
	
	// 如果是EditText, 获取编辑框中的提示文字
	String getHintText();
}