package cn.wps.moffice.writer.uitest_fw.aidl.writer;

import cn.wps.moffice.writer.uitest_fw.aidl.IPlayCtrl;
import cn.wps.moffice.writer.uitest_fw.aidl.IRecordCtrl;
import cn.wps.moffice.writer.uitest_fw.aidl.Dialogs;
import cn.wps.moffice.writer.uitest_fw.aidl.IPanel;
import cn.wps.moffice.writer.uitest_fw.aidl.IPanels;
import cn.wps.moffice.writer.uitest_fw.aidl.IPlayCallback;
import cn.wps.moffice.writer.uitest_fw.aidl.IRecordCallback;
import cn.wps.moffice.writer.uitest_fw.aidl.writer.LayoutMode;

interface IWriter {
	
	String getLastPageNumText();
	
	boolean isCpVisible(int docType, int cp);
	
	LayoutMode getLayoutMode();
	
	// 绘制坐标
	Rect getCpRect(int docType, int cp);
	
	Rect getCpRectOnDoc(int docType, int cp);
	
	Rect getCpRectOnScreen(int docType, int cp);
	
	float getMinScale();
	
	float getMaxScale();
	
	float getScale();
	
	void setScale(float scale, int centerX, int centerY);
	
	// 绘制坐标
	Rect getDocVisibleRect();
}